%define sumoversion 20060510
%define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")


Name:		xemacs
Version:	21.4.20
Release:	0vl3
License:	GPL
Group:		Applications/Editors/Emacs
# [VineSeed:10623]
#Group:		Applications/Editors

Summary:	The XEmacs Editor
Summary(ja):	XEmacs エディタ

Vendor:		Project Vine
Distribution:	Vine Linux 
Packager:	Hiroaki Irokawa <irorin@terra.dti.ne.jp>
URL:		http://www.xemacs.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source0:	xemacs-%{version}.tar.bz2
Source3:	xemacs.wmconfig
Source4:	Emacs.ad.Japanese
# Get from Kondara(xemacs-21.4.6-6k)
Source10:	xemacs-editclient
Source11:	xemacs.desktop
#Source12:	xemacs-init.el

Source50:	site-start.el
Source100:	README.emacsen-common.txt

#Patch0:	xemacs-21.1.13-wnn6.patch3

# Get from Kondara(xemacs-21.4.6-6k)
Patch0:		xemacs-mule-wnn.patch
Patch2:		http://www.nijino.com/ari/patches/xemacs-21.4.3-tabs.patch.gz
Patch10:	xemacs-21.1.14-xfs.patch
Patch11:	xemacs-21-cursor.patch
Patch12:	xemacs-nocombreloc.patch
Patch100:	xemacs-21.4-xdnd-xsmp.patch
#Patch200:	Emacs.ad.20021009.diff
Patch300:	xemacs-21.4.12-ppc.patch
BuildPreReq:	XOrg-libs, XOrg-devel
BuildPreReq:	libjpeg-devel, libtiff-devel, libpng-devel
BuildPreReq:	autoconf213, libwnn6-devel, Canna-devel, faces-devel

BuildPreReq:	xemacs-sumo >= %{sumoversion}
%prereq_ge   xemacs-sumo

PreReq:    ldconfig
PreReq:    libwnn6 >= 3.0-7vl1
Requires:  faces, faces-xface, libcanna, libwnn6
Requires:  libtiff, libpng, libjpeg, zlib, xpm, XOrg-libs, ncurses
Obsoletes: xemacs-canna, xemacs-wnn6, xemacs-canna-wnn6 xemacs-extra

Provides:     emacsen = 0.2
Obsoletes:    xemacs21.4 <= 21.4.10
Provides:     xemacs21.4

%prereq_ge emacsen-common


%description
XEmacs is a version of Emacs, compatible with and contain-
ing many improvements over GNU Emacs, written  by  Richard
Stallman  of  the Free Software Foundation.  It was origi-
nally based on an early release of GNU Emacs  Version  19,
and  has  tracked subsequent releases of GNU Emacs as they
have become available.

This XEmacs distribution has been split into different packages:
- xemacs              : the main part (with Canna, Wnn6 & XIM support)
- xemacs-el           : the elisp sources 

And you may have to also install xemacs-sumo package,
that provides tons of nifty elisps, including mule feature.


%description -l ja
XEmacs は Free Software Foundation の Richard Stallman によって
書かれた GNU Emacs との互換性を維持しつつ数多くの改良が施された
派生バージョンです．
元々 Emacs 19 を元に開発され，Emacs の後続リリースに追加された
機能と同期が取られています．

この XEmacs パッケージはいくつかのサブパッケージに分かれています:
- xemacs              : XEmacs 本体 (Canna, Wnn6 対応)
- xemacs-el           : Emacs Lisp ソースファイル

また同時に xemacs-sumo パッケージもインストールする必要があるでしょう．
mule 機能を始め，幾多の便利な elisp が収録されています．


[注意]
設定ファイルについては、etcskel-2.4-1vl11 以降を使ってください。
(~/.emacs とか ~/.xemacs/init.el とか)

Wnn7 を使うには差分が必要です(OMRON のサイト参照)
http://www.omronsoft.co.jp/SP/download/pcunix/wnn7/wnn7egg_forXEmacs214.html


#[~/.emacs の記述例]
#;;  ~/.emacs.el  -  Emacs  用設定ファイル
#;;  ~/.xemacs.el -  XEmacs 用設定ファイル
#;;  ~/.xemacs/init.el - XEmacs-21.4 用設定ファイル
#(if (string-match "XEmacs" emacs-version)
#  (if (string-match "21.1" emacs-version)
#    (load (expand-file-name "~/.xemacs.el") nil t nil)
#          (load (expand-file-name "~/.xemacs/init.el") nil t nil))
#  (load (expand-file-name "~/.emacs.el") nil t nil)
#)
#
#[~/.xemacs/init.el]
#~/.xemacs.el をコピー後一部修正して下さい。
#(setq user-init-file "~/.xemacs.el")      を
#(setq user-init-file "~/.xemacs/init.el") に変更して下さい。
#
#(setq custom-file "~/.xemacs.el")      を
#(setq custom-file "~/.xemacs/init.el") に変更して下さい。
#
#(select-input-method 'japanese-egg-wnn)        を
#(setq default-input-method "japanese-egg-wnn") に変更して下さい。
#
#(select-input-method 'japanese-canna)        を
#(setq default-input-method "japanese-canna") に変更して下さい。


%package el
Group: Applications/Editors/Emacs
Summary:     The source files of the standard elisp modules for XEmacs
Summary(ja): XEmacs 用 elisp ソースファイル
Requires: %{name} = %{version}-%{release}
Obsoletes:    xemacs21.4-el
Provides:     xemacs21.4-el


%description el
This package contains the source files of the standard elisp
modules for XEmacs.  The package is not necessary to run XEmacs.


%descripion -l ja el
このパッケージには XEmacs 用 Emacs Lisp ソースファイルが
収められています．XEmacs を動作させるのに必須ではありません．


%prep
#export LANG=C

#%setup -n xemacs-%{version} -q -b 1 -b 2
%setup -n xemacs-%{version} -q
#%patch0 -p1
%patch0 -p1 -b .wnn
#%patch2 -p0 -b .tab-i18n
#%patch10 -p1 -b .xfs
#%patch11 -p1 -b .cursor
#%patch100 -p1 -b .xdnd-xsmp
%ifarch alpha alphaev5 alphaev6
%patch12 -p1
%endif

# replace a default resource file
cp %{SOURCE4} etc/Emacs.ad
#%patch200 -p1

# Not need ?(2005.02.09 H.Irokawa)
#%patch300 -p1 -b .ppc

cp %{SOURCE100} .

autoconf-2.13

%build
./configure ${RPM_ARCH}-vine-linux \
    --compiler=gcc --pdump --with-clash-detection \
    --cflags="${RPM_OPT_FLAGS} -fno-caller-saves" \
    --prefix=%{_prefix} --mandir=%{_mandir}/man1 \
    --package-path=%{_datadir}/xemacs-%{version}::/usr/lib/xemacs/site-packages:/usr/lib/xemacs/mule-packages:/usr/lib/xemacs/xemacs-packages \
    --error-checking=no --debug=no \
    --with-xfs --with-pop --with-sound=native \
    --with-mule --without-xim \
    --with-canna --with-wnn6 \
    --with-widgets=lucid --with-menubars=lucid \
    --with-dialogs=lucid --with-scrollbars=lucid \
    --with-msw=no --with-site-lisp --with-xface \
    --without-ldap --without-database --without-postgresql \
    --with-dragndrop --mail-locking=flock \
    --site-includes=/usr/include/canna:/usr/include/wnn6

#   --prefix=%{_prefix} --mandir=%{_mandir}/man1 --lockdir=/var/lock/xemacs \
#   --with-offix=yes --with-xface=yes \
#   --with-xdnd \
#   --with-widgets=yes \
#   --with-mule --with-xim=xlib \

%ifarch alpha alphaev5 alphaev6
make LDFLAGS='-Xlinker "-z nocombreloc"'
%else
make
%endif

#make xemacs
strip src/xemacs

make all-elc
make info


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

install -m 0777 -d ${RPM_BUILD_ROOT}/var/lock/xemacs

make prefix=${RPM_BUILD_ROOT}%{_prefix} \
	lockdir=${RPM_BUILD_ROOT}/var/lock/xemacs \
	install-arch-dep 
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
        mandir=${RPM_BUILD_ROOT}%{_mandir}/man1 \
	lockdir=${RPM_BUILD_ROOT}/var/lock/xemacs \
	install-arch-indep 
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
	lockdir=${RPM_BUILD_ROOT}/var/lock/xemacs \
	gzip-el


mkdir -p ${RPM_BUILD_ROOT}/usr/lib/xemacs/site-packages/{etc,info,lib-src,lisp,man,pkginfo}

gzip -n -9f ${RPM_BUILD_ROOT}/usr/lib/xemacs-%{version}/info/*.inf*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
cp -p etc/xemacs-ja.1 ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/xemacs.1
gzip -n -9f ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/xemacs.1

# create symlink for emacsen-common
mkdir -p  ${RPM_BUILD_ROOT}%{_datadir}/xemacs-%{version}/{etc,info,lib-src,lisp,man,pkginfo}
ln -sf lisp ${RPM_BUILD_ROOT}%{_datadir}/xemacs-%{version}/site-lisp


DIR="${RPM_BUILD_ROOT}/usr/lib/xemacs-%{version} $RPM_BUILD_ROOT/%{_datadir}/xemacs-%{version}"
EL="*.el.gz"
BIN=$RPM_BUILD_ROOT/usr/bin

# move alternatives file
# Add for Gamma(/usr/bin/gnuclient,ootags,xemacs) 2002.01.06 H.Irokawa
mv ${RPM_BUILD_ROOT}/usr/bin/ctags ${RPM_BUILD_ROOT}/usr/bin/gctags 
echo "/usr/bin/b2m
/usr/bin/etags
/usr/bin/rcs-checkin
/usr/bin/gctags
/usr/bin/gnuclient
/usr/bin/ootags
/usr/bin/xemacs"|
    sed -e "s#[^\n]*#mv ${RPM_BUILD_ROOT}\0 ${RPM_BUILD_ROOT}\0.xemacs-%{version}#"| 
    awk '{system($_)}'


find $DIR -type d |
  sed -e "s#^${RPM_BUILD_ROOT}#%dir #" > rpm-files

find $DIR -name $EL -type f |
  sed -e "s#^${RPM_BUILD_ROOT}##" > rpm-el-files

find $DIR -not -name $EL -type f |
  sed -e "
    s#^${RPM_BUILD_ROOT}\(.*movemail\)#%attr(2755, root, mail) \1#
    s#^${RPM_BUILD_ROOT}##
  " >> rpm-files

find $BIN -type f |
  sed -e "
    s#^${RPM_BUILD_ROOT}\(.*movemail\)#%attr(2755, root, mail) \1#
    s#^${RPM_BUILD_ROOT}##
  " | grep -v ^$ >> rpm-files



mkdir -p -m 755 ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m 644 %SOURCE3 ${RPM_BUILD_ROOT}/etc/X11/wmconfig/xemacs
echo "%config /etc/X11/wmconfig/xemacs" >> rpm-files

#mkdir -p -m755 ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}-%{version}
#install -m 644 %SOURCE100 ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}-%{version}

mkdir -p -m 755 ${RPM_BUILD_ROOT}/usr/lib/xemacs/site-packages/lisp/site-start.d
install -m 644 %SOURCE50 ${RPM_BUILD_ROOT}/usr/lib/xemacs/site-packages/lisp/site-start.d/site-start.el

# 2003.10.09 H.Irokawa
mkdir -p -m 755 ${RPM_BUILD_ROOT}/etc/%{name}-%{version}/site-start.d
install -m 755 -d ${RPM_BUILD_ROOT}/etc/%{name}-%{version}/site-start.d

# GNOME / KDE files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE11 $RPM_BUILD_ROOT%{_datadir}/applications/xemacs.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 etc/xemacs-icon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/xemacs-icon.xpm
#install -m 755 %SOURCE10 $RPM_BUILD_ROOT%{_bindir}/xemacs-editclient

# 2006.04.01 H.Irokawa
#mv ${RPM_BUILD_ROOT}/usr/share/man/man1/ctags.1 ${RPM_BUILD_ROOT}/usr/share/man/man1/gctags.1

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig
if [ "$1" = 1 ]; then

%_addflavorslist xemacs-%{version}

export PRIORITY=16

#/sbin/update-alternatives --install /usr/bin/xemacs xemacs \
#		/usr/bin/xemacs-%{version} $PRIORITY

%_installemacs xemacs-%{version}

unset PRIORITY

fi

if [ "$1" = 2 ]; then

  echo xemacs-%{version} >  /var/lib/emacsen-common/doinstaflavor-xemacs
    
fi


%postun
/sbin/ldconfig
if [ $1 = 1 ]; then

%_removeflavorslist xemacs-%{version}

%_removeemacs xemacs-%{version}

#if [ -f /var/lib/emacsen-common/doinstaflavor-emacs ] ; then
if [ -f /var/lib/emacsen-common/doinstaflavor-xemacs ] ; then

NEWFLAVOR=$(cat /var/lib/emacsen-common/doinstaflavor-xemacs)

%_addflavorslist $NEWFLAVOR

export PRIORITY=16

%_installemacs $NEWFLAVOR

unset PRIORITY

rm -rf /var/lib/emacsen-common/doinstaflavor-xemacs

fi

fi


%preun
if [ "$1" = 0 ]; then

%_removeflavorslist xemacs-%{version}

#/sbin/update-alternatives --remove xemacs /usr/bin/xemacs-%{version}

%_removeemacs xemacs-%{version}

fi


%files -f rpm-files
%defattr(-,root,root)
#%doc BUGS CHANGES-beta COPYING ChangeLog GETTING.GNU.SOFTWARE
%doc BUGS CHANGES-release COPYING ChangeLog GETTING.GNU.SOFTWARE
%doc INSTALL PROBLEMS README README.packages
%doc README.emacsen-common.txt
%dir /var/lock/xemacs
#%dir /usr/lib/xemacs
%dir /usr/lib/xemacs/site-packages
%dir /usr/lib/xemacs/site-packages/etc
%dir /usr/lib/xemacs/site-packages/info
%dir /usr/lib/xemacs/site-packages/lib-src
%dir /usr/lib/xemacs/site-packages/lisp
/usr/lib/xemacs/site-packages/lisp/site-start.d/site-start.el
%dir /etc/%{name}-%{version}/site-start.d
%dir /usr/lib/xemacs/site-packages/man
%dir /usr/lib/xemacs/site-packages/pkginfo
#%{_datadir}/applications/*
#%{_bindir}/xemacs-editclient
#/usr/bin/ctags
#/usr/bin/gnuattach
#/usr/bin/gnuclient
#/usr/bin/gnudoit
#/usr/bin/ootags
#/usr/bin/pstogif
#/usr/man/man1/ctags.1*

%{_mandir}/man1/gnuattach.1*
%{_mandir}/man1/gnudoit.1*
%{_mandir}/man1/gnuserv.1*
%{_mandir}/man1/gnuclient.1*
%{_mandir}/man1/xemacs.1*
%{_mandir}/man1/etags.1*
#%{_mandir}/man1/gctags.1*
%{_mandir}/ja/man1/xemacs.1*

#/usr/bin/xemacs
#/usr/bin/xemacs-%{version}
%{_datadir}/xemacs-%{version}/site-lisp
%{_datadir}/applications/xemacs.desktop
%{_datadir}/pixmaps/xemacs-icon.xpm

%files -f rpm-el-files el
%defattr(-,root,root)


%changelog
* Fri Jul  6 2007 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.20-0vl3
- rebuilt for VineSeed
- deleted *Req: libdnd, libdnd-devel

* Mon Mar  5 2007 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.20-0vl2
- for VinePlus 4.1
- BTS:491(--with-widgets=lucid --with-dialogs=lucid)
-- build without openMotif

* Thu Dec 28 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.20-0vl1
- update
- delete configure option(--site-libraries=/usr/lib/canna)


* Tue Sep 26 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.19-0vl5
- Add PreReq: ldconfig
- Modded PreReq:    libwnn6 >= 3.0-7vl1

* Tue Jul 11 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.19-0vl4
- Add PreReq: libwnn6

* Mon Jul 10 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.19-0vl3
- rebuilt on libwnn6-3.0-7vl1
- Group: Changed(Sync Emacs22)
- (Applications/Editors ->Applications/Editors/Emacs)

* Sun Apr 23 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.19-0vl2
- Modded xemacs.desktop

* Mon Apr  3 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.19-0vl1
- update
- Add xemacs.desktop
- [VineSeed:10623] Group: Changed
- (Applications/Editors/Emacs ->Applications/Editors)
- --without-xim(feel pain for using uim-anthy)

* Sun Dec 18 2005 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.18-0vl1
- update
- Not Use Patch2,11(rejected)

* Wed Feb  9 2005 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.17-0vl1
- update

* Tue Jul 20 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.15-0vl2
- rebuilt on XOrg

* Sun Feb  8 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.15-0vl1
- update

* Mon Oct 13 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.14-0vl4
- rebuilt

* Thu Oct  9 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.14-0vl3
- mkdir -p /etc/%{name}-%{version}/site-start.d on %install

* Tue Oct  7 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.14-0vl2
- --with-dialogs=lucid
- build with openMotif

* Mon Sep 22 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.14-0vl1
- update

* Sun Jul 13 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.13-0vl2
- Add %SOURCE50(site-start.el)
- --without-dialogs
- rm -rf /etc/%{name}-%{version} at %postun
- Tag Changed(Copyright: -> License:)

* Tue May 27 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.13-0vl1
- update.
- specfilename changed(xemacs-21.4.spec -> xemacs.spec)
- Build without openMotif
- --with-dialogs=Licid -> Athena

* Sun Jan 19 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.4.12-0vl2
- added Patch300 for ppc

* Thu Jan 16 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.12-0vl1
- update

* Sun Jan 05 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.4.11-0vl2
- added --without-postgresql
- added BuildPreReq: openMotif-devel

* Sun Jan  5 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.11-0vl1
- update
- package name changed(xemacs21.4 -> xemacs)
- man path changed(mann -> man1)

* Thu Jan  2 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.10-0vl3
- rebuilt on openMotif(PreReq: lestiff -> openMotif)

* Sat Dec 14 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.10-0vl2
- built on gcc-3.2.2-0vl0.4
- BuildPreReq:	autoconf213
- add configure option --pdump(for glibc-2.3.1)
 
* Sun Nov  3 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.10-0vl1
- update
- not use Patch100(cut --with-xdnd)
- PRIORITY=10->16(at %postun)

* Sun Oct 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.4.9-0vl3
- Patch200 removed, merged it into Source4, modified it a bit

* Wed Oct  9 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.9-0vl2
- Add %Patch200.

* Sun Aug 25 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.9-0vl1
- update
- add PreReq libdnd

* Fri May 10 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.8-0vl1
- included /usr/doc/xemacs21.4-21.4.8/README.emacsen-common.txt
- [vine-users:041284] lesstif(Requires: -> Prereq:)
- Modifyed %postun
-  - if [ -f /var/lib/emacsen-common/doinstaflavor-emacs ] ; then
-  + if [ -f /var/lib/emacsen-common/doinstaflavor-xemacs ] ; then
- --with-widgets=yes

* Fri Mar 29 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4.6-0vl4
- --with-dialogs=lucid

* Fri Mar 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.4.6-0vl3
- update-alternatives xemacs is now handled by emacsen-common internally
  thanks Takei-san

* Fri Mar 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.4.6-0vl2
- %%dir /usr/lib/xemacs entry removed
- update-alternatives xemacs too
- PRIORITY is not set to 16

* Sat Jan 26 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp>
- [xemacs21.4-21.4.6-0vl1]
- Get from Kondara(xemacs-21.4.6-6k) Source10,11, Patch0,2,10,11,12,100.
- --without-dialogs(because mojibake)
- --mandir=%{_mandir}/mann

* Sun Dec 16 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.1.14-0vl11
- more treatments for emacsen-common
- man dir moved to %%{_mandir}

* Thu Dec 06 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.1.14-0vl7
- move /tmp -> /var/lib/emacsen-common (IP(package)C file)
- added PreReq: xemacs-sumo
  (most -el packages need sumo files to be byte-compiled for xemacs)

* Thu Nov  8 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.1.14-0vl6
- support emacsen-common

* Mon Jan 22 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 21.1.14-0vl1 (2.1.x) / 0vl2 (Seed)
- updated to 21.1.14 release
- it is a security fix release (gnuserv/gnuclient)

* Mon Jan 22 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 21.1.13-0vl2
- updated to 21.1.13 release
- remove alpha patch (it should be fixed in official release)
- modified Source4 (-misc-fixed- -> -alias-fixed-)

* Wed Jan 17 2001 Jun Nishii <jun@vinelinux.org>
- 21.1.12-0vl5
- rebuild for VineSeed
- remove etags, b2m, rcs-checkin, they are in emacs-common, now.
- remove ctags, which seems not to be called from xemacs guys directly

* Tue Oct 24 2000 Kazuhisa TAKEI <takei@vinelinux.org> 21.1.12-0vl3
- fixed 'configure script fail' in alpha arch. 
- change wnn6 patch ( configure  configure.in).

* Tue Aug 22 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- 21.1.10-0vl3
- added --without-ldap in configure

* Mon Aug 07 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- 21.1.10-0vl2
- fixed %files section to handle compressed man page

* Wed Jun 28 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 21.1.10-0vl1
- updated to 21.1.10a release
- Patch0 modified for 21.1.10
- removed /usr/bin/pstogif from %files section

* Wed Jan 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 21.1.8-2
- small changes in the %build section
- Requires changed from dnd to libdnd

* Tue Dec 21 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.8-1
- updated to 21.1.8 release
- included a patch for wnn6 when both libwnn6 and FreeWnn* are installed

* Sat Oct  2 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-10
- fixed a critical mistake in the Japanese description

* Fri Oct  1 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-9
- added a patch for the problem that xemacs dumps core (hopefully...)

* Thu Sep 23 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-8
- Requires: tags changed - compface package is replaced with
  faces, faces-xface, faces-devel packages (from Red Hat Rawhide)

* Mon Sep 20 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-7
- rebuilt with XFree86-3.3.5 for Vine 1.9

* Tue Sep 14 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-6
- added "-fno-caller-saves" flag in the -cflag
- added sub-package for static-linked version of binary executable
  (--ldflag=-static)

* Wed Sep  1 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-5
- changed from HOSTTYPE=i386-pc-linux to HOSTTYPE=i386-vine-linux
- added "--with-offix=yes" optional flag
- "Requires: dnd, dnd-devel" added for "--with-offix=yes" option
- "Requires: xemacs-sumo = %{sumoversion}" added again :-(

* Mon Aug 30 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-4
- "Requires: xemacs-sumo = %{sumoversion}" removed
- yet another changes for the ./configure optional flags,
  namely removing "-D_GNU_SOURCE" option

* Sun Aug 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-3
- force Wnn support disabled (with --with-wnn=no)
  for the in-stock Vine configuration
- slight more modifications for the spec file

* Fri Aug 27 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-2
- force png support enabled (with --with-png=yes)
- cleaned up spec file

* Wed Aug 25 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 21.1.6-1
- 1st RPM release
